Skip to main content
POST
Merge contacts

Authorizations

X-YoLead-Key
string
header
required

Public API key generated in the YoLead UI.

X-YoLead-Timestamp
string
header
required

Unix timestamp in milliseconds. Requests must be signed within a 5-minute window.

X-YoLead-Signature
string
header
required

Hex HMAC-SHA256 signature over <timestamp>.<raw_body> using the API secret.

Path Parameters

sourceContactId
string
required

Id of the contact to merge into the target contact. MongoDB ObjectId represented as a 24-character hexadecimal string.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"64f000000000000000000001"

Body

application/json
targetContactId
string
required

MongoDB ObjectId represented as a 24-character hexadecimal string.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"64f000000000000000000001"

Response

Contacts merged.

data
object
required